Page MenuHomePhabricator

"Find and Replace" is missing when "Enable dialogs for inserting links, tables and more" is not checked
Closed, InvalidPublic

Description

When I uncheck "Enable dialogs for inserting links, tables and more" in Special:Preferences, I thought what I lost was only a better user interface, however, actually that "Find and Replace" feature disappeared as well.


Version: master
Severity: enhancement

Details

Reference
bz23942

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:04 PM
bzimport added a project: WikiEditor.
bzimport set Reference to bz23942.

Yes, this is intentional, as Search&Replace is a dialog as well. I guess maybe the preference description could be clarified.

mr.heat wrote:

Reopening. I consider this a bug.

The reason why I disable the checkbox is *not* that I don't want any dialogs, no matter if they are useful or not.

I disable the checkbox because I want the "Internal link" button insert "[[" and "]]" before and after the text I selected before. I disable the checkbox because I want the "Table" button add a little table markup before and after the text I selected before.

I disable the checkbox because I do *not* want "dialogs for inserting links, tables and more".

The "search and replace" button does not insert anything. It simply goes away when changing the setting. This does not make sense.

mr.heat wrote:

Would somebody please turn the "Search and replace" dialog on? The setting is not called "hide all dialogs no matter what they do". Why should anybody do this? The setting changes what the "Link", "Embedded file" and some other buttons do. As said I turn it off because I want the "Link" button to simply insert brackets around the word I selected. By turning the setting off *no* button goes away *except* for the "Search and replace" button. Why? This is stupid. Please fix this confusing behavior. Thank you.

mr.heat wrote:

Anybody working on this? How complicated can it be to remove or add a tiny little "if" to the code?

Again, why should anybody want to "disable all dialogs"? I don't care if it's a dialog or not. I use the checkbox to change the button "for inserting links" back to a simple "insert brackets" button.

The search and replace dialog does not insert anything. Why does it needs to be removed from the toolbar?

When i disable "dialogs for inserting links, tables and more" no button goes away. Some buttons change their behavior but all stay in the toolbar. Except for the "search and replace" button. This does not make sense.

mr.heat wrote:

Would somebody please, please re-enable the "search and replace" feature even if the link and table wizards are disabled on purpose? It does not make any sense to have a checkbox that switches certain features from one mode (use wizards to insert links and tables) to an other mode (insert brackets only) and at the same time completely *blocks* an other feature.

Nothing has changed in the last two years to reevaluate here => resetting priority and TM to previous values.

mr.heat wrote:

The interface is crippled. It's not an "enhancement" to remove such a counterproductive restriction. That's a bug. It should be fixed.

mr.heat wrote:

Hello. Is this thing on? Un-cripple the crippled interface, please.

Yes this thing is on, and this is low priority, see comment 1.
Currently I am not aware of any plans to work on this, which does not stop anybody interested to improve the interface by providing patches:

http://www.mediawiki.org/wiki/Developer_access

In general and from experience in other open source projects, repeated demands will almost certainly diminish the impact and interest in your suggestions.

mr.heat wrote:

What "plan" is needed to assign a bug to the responsible developer?

A plan to achieve unlimited manpower? :)
I won't assign this to a "responsible" developer because, again, it's pretty low priority and there's way more urgent things that need a developer assigned instead. I won't stop you from finding a developer though!
If something is unclear feel free to send me an email (because this is becoming a meta-discussion unrelated to this specific bug report).

(In reply to comment #1)

Yes, this is intentional, as Search&Replace is a dialog as well. I guess
maybe
the preference description could be clarified.

TMg proposed elsewhere to rephrase to "Enable dialogs for inserting links and tables as well as the search and replace function"; a minimal fix could be on the misleading comma: "Enable dialogs for inserting links and tables and more".

Change 65453 had a related patch set uploaded by Matmarex:
Expanding preference label to what it actually does

https://gerrit.wikimedia.org/r/65453

Change 65453 merged by jenkins-bot:
Expanding preference label to what it actually does

https://gerrit.wikimedia.org/r/65453

I11a038a6, which clarified the description in preferences, merged. I consider this fixed now.

mr.heat wrote:

Sorry, but the enhanced checkbox label was only a workaround.

From a usability point of view it does not make sense to remove the "search and replace" button from the toolbar. If the function is not needed the user can simply ignore the button (it's hidden anyway, see bug 23824). But the user needs a setting to change the "internal link" button back to "just insert brackets, I know what I'm doing". The two features are mixed in a single setting because of a technical restriction. The feature request is: Solve the technical restriction so we can split the settings.

TheDJ closed this task as Invalid.Nov 13 2018, 2:09 PM
TheDJ added a subscriber: TheDJ.

We no longer have the mode without dialogs since MW 1.31 T165112: Kill of most/all the WikiEditor RL modules

happy5214 moved this task from Backlog to Closed on the WikiEditor board.Aug 4 2019, 12:01 PM